Subject: Re: [PATCH net-next] vxlan: expose COLLECT_METADATA flag to user space

From: Thomas Graf <[email-masked]>
Date: Wed, 5 Aug 2015 16:39:15 +0200

On 08/03/15 at 02:14pm, Jesse Gross wrote:
> On Fri, Jul 31, 2015 at 8:41 AM, Alexei Starovoitov <[email-masked]> wrote:
> > thanks. I think exposing collect_metadata for vxlan and in the future
> > for other tunnel types is the clean enough way, though the other
> > alternative would be to get rid of collect_metadata flag
> > from the kernel and do it when flowmode flag is set. Thoughts?
> 
> This seems like a good idea to me - I'm not sure that flow based
> tunnels are all that useful without metadata collection enabled and
> the fewer interfaces that we have to create for each tunnel type, the
> better.

The use case at hand where the flag is useful if someone is only
doing flow based TX which can be handy if the tunnel id remains
unused.